Description

Owncloud is a great web application with many feature and third-party apps. However it currently does not have any apps to
integrate a piwik tracking code to obtain visitor analytics. Luckily the code can be inserted into a few files to allow piwik to work on
owncloud. When a new tracking code has been created in piwik, a couple files need to be momdified:

1. core/templates/layout.user.php

2. core/templates/layout.guest.php
3. config/config.php

core/templates/layout.user.php and core/templates/layout.guest.php

¢ The ownCloud template php files needs to be modified by adding the piwik tracking code before the </body> tag:

<!-— Piwik -->

<script type="text/javascript">
var _paq = _paq || [];
_pag.push ([ 'trackPageView']);

(
_pag.push(['enableLinkTracking']);
(function() {
var u=(("https:" == document.location.protocol) ? "https" : "http") + "://piwik.example.co
m/";
_paqg.push(['setTrackerUrl', u+'piwik.php']l);
_paqg.push(['setSiteId', 91);
var d=document, g=d.createElement ('script'), s=d.getElementsByTagName ('script') [0]; g.type
='text/javascript';
g.defer=true; g.async=true; g.src=u+'piwik.js'; s.parentNode.insertBefore(g,s);
1O
</script>
<noscript><p><img src="http://piwik.examplw.com/piwik.php?idsite=9&rec=1" style="border:0;" al
t="" /></p></noscript>
<!--— End Piwik Code -—>

config/config.php
¢ The ownCloud config php file needs to be modified by adding the following code at the end of the $CONFIG array:
'custom_csp_policy' => 'default-src \'self\'; script-src \'self\' https://piwik.example.com \'
unsafe-inline\' \'unsafe-evall'; style-src \'self\' \'unsafe-inline\'; frame-src *; img-src *;
font-src \'self\' data:; media-src *',
NOTE: The above code must be added, or else the piwik tracking code placed in the two previous files will not execute properly.
| used the Firefox add-on "Ghostery" to check if the tracking code was working.

h2. Resources

o https://forum.owncloud.org/viewtopic.php?f=23&t=10500

History

#1 - 08/25/2014 02:43 PM - Daniel Curtis
https://forum.owncloud.org/viewtopic.php?f=23&t=10500

- Status changed from Resolved to Closed

- % Done changed from 90 to 100

#2 - 09/20/2014 09:24 PM - Daniel Curtis
- Project changed from 25 to Website Hosting
- Description updated

- Status changed from Closed to Resolved

#3 - 09/20/2014 09:51 PM - Daniel Curtis
- Description updated

- Status changed from Resolved to In Progress

#4 - 09/21/2014 08:05 AM - Daniel Curtis
- Description updated

- Status changed from In Progress to Resolved

#5 - 09/28/2014 03:27 PM - Daniel Curtis

- Status changed from Resolved to Closed
